/* gtkui.h - GTK UI function prototypes
 *
 * Copyright 2010, 2016, 2024, 2025 Petteri Hintsanen <petterih@iki.fi>
 *
 * This file is part of abx.
 *
 * abx is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * abx is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with abx.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ABX_GTK_UI_H
#define ABX_GTK_UI_H

#include <gtk/gtk.h>

extern int current_trial;
extern GList *icons;

/* gtkui.c */
extern int gtk_ui_main(int argc, char *argv[]);
extern void error_dialog(GtkWidget *parent_win, const gchar *title,
                         const gchar *message);
extern void warning_dialog(GtkWidget *parent_win, const gchar *title,
                           const gchar *message);
extern int set_up_test(const gchar *a, const gchar *b, int ntrials,
                       GtkWidget *parent);
extern void discard_test(void);

/* mainwin.c */
extern void show_main_window(void);
extern void update_main_window(void);
extern void reset_test_widgets(void);

/* newtestwin.c */
extern void show_new_test_window(GtkWindow *parent);

/* resultwin.c */
extern void show_result_window(GtkWindow *parent);

#endif
