/* mathlib.h - library of mathematical routines
 *
 * Copyright 2025 Petteri Hintsanen <petterih@iki.fi>
 *
 * This file is part of abx.
 *
 * abx is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * abx is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with abx.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Return the one-sided p-value for binomial test with k successes
 * in n trials, with hypothesized success probability 0.5.
 */
double p_value(int k, int n);

/*
 * Return the cumulative distribution function value F(k) for binomial
 * distribution Bin(n, p).
 */
double cdf_binomial(int k, int n, double p);
